# wait

Wait for time or event

## Function Action Object

| Key        | value          | Description             |
| ---------- | -------------- | ----------------------- |
| action     | 'wait'         | Action name             |
| options.ms | {milliSeconds} | if specified, waits the |

Javascript is placed on a single JSON value line, you must separate commands with a semicolon. Proper JSON escaping will always need to be applied.

## Uses:

General purpose, sometimes you may want the following actions to wait until something is completed.

**Example**

```yaml
// This will wait for 2 seconds 
[
  {
    "action": "wait",
    "options": {
      "ms": 2000
    }
  }
  ...
  // other actions here will run after 2 seconds
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/reference/actions-processor/actions_overview/wait.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
